gnutls_tpm_get_registered(3)

NAME
gnutls_tpm_get_registered - API function

SYNOPSIS
#include <gnutls/tpm.h>

int gnutls_tpm_get_registered(gnutls_tpm_key_list_t * list);

ARGUMENTS

gnutls_tpm_key_list_t * list
    a list to store the keys

DESCRIPTION
This function will get a list of stored keys in the TPM. The uuid of those keys

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/